The control-monad-failure package

[Tags: deprecated, library, public-domain]

Deprecated

A class for monads which can fail with an error.


Properties

Versions0.1, 0.2, 0.3, 0.4, 0.5.0, 0.6.0, 0.6.1, 0.6.1.1, 0.6.1.2, 0.7.0, 0.7.0.1
Dependenciesbase (==4.*), failure (>=0.0.0 && <0.1), transformers (==0.1.*) or
base (==4.*), failure (>=0.0.0 && <0.1), transformers (==0.2.*)
LicensePublicDomain
AuthorPepe Iborra, Michael Snoyman, Nicolas Pouillard
Maintainerpepeiborra@gmail.com
Stabilityexperimental
CategoryControl, Monads, Failure
Home pagehttp://github.com/pepeiborra/control-monad-failure
Source repositoryhead: git clone git://github.com/pepeiborra/control-monad-failure.git
Upload dateSun Apr 25 19:55:14 UTC 2010
Uploaded byPepeIborra
Downloads843 total (70 in last 30 days)

Modules

[Index]

Flags

NameDescriptionDefault
transformers_02transformers = 0.2.*Enabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees